获取国家下的州、省编码
POST
/basicOpen/multiplatform/profit/report/stateList接口信息
| API Path | 请求协议 | 请求方式 | 令牌桶容量 |
|---|---|---|---|
/basicOpen/multiplatform/profit/report/stateList | HTTPS | POST | 1 |
请求参数
countryCodestring必填请求cURL示例
curl --location 'https://openapi.lingxing.com/basicOpen/multiplatform/profit/report/stateList?access_token=value×tamp=value&sign=value&app_key=value' \
--header 'Content-Type: application/json' \
--data '{
"countryCode":"AF"
}'
返回结果
codenumber必填messagestring必填error_detailsarray<any>必填request_idstring必填response_timestring必填dataobject必填隐藏子属性
statesarray<object>必填隐藏子属性
countryCodestring必填stateOrProvinceNamestring必填codestring必填totalnumber必填返回成功示例
{
"code": 0,
"message": "success",
"error_details": [],
"request_id": "ccafcc7d9a72484fac5a3889b5db2986.231.17611516492143035",
"response_time": "2025-10-23 00:47:29",
"data": {
"states": [
{
"countryCode": "AF",
"stateOrProvinceName": "Baghlan",
"code": "BGL"
},
{
"countryCode": "AF",
"stateOrProvinceName": "Balkh",
"code": "BAL"
},
{
"countryCode": "AF",
"stateOrProvinceName": "Bamyan",
"code": "BAM"
},
{
"countryCode": "AF",
"stateOrProvinceName": "Faryab",
"code": "FYB"
},
{
"countryCode": "AF",
"stateOrProvinceName": "Helmand",
"code": "HEL"
},
{
"countryCode": "AF",
"stateOrProvinceName": "Herat",
"code": "HER"
},
{
"countryCode": "AF",
"stateOrProvinceName": "Kabul",
"code": "KAB"
},
{
"countryCode": "AF",
"stateOrProvinceName": "Kandahar",
"code": "KAN"
},
{
"countryCode": "AF",
"stateOrProvinceName": "Khost",
"code": "KHO"
},
{
"countryCode": "AF",
"stateOrProvinceName": "Kunduz",
"code": "KDZ"
},
{
"countryCode": "AF",
"stateOrProvinceName": "Logar",
"code": "LOG"
},
{
"countryCode": "AF",
"stateOrProvinceName": "Nangarhar",
"code": "NAN"
},
{
"countryCode": "AF",
"stateOrProvinceName": "Nimroz",
"code": "NIM"
},
{
"countryCode": "AF",
"stateOrProvinceName": "Paktika",
"code": "PKA"
},
{
"countryCode": "AF",
"stateOrProvinceName": "Paktiya",
"code": "PIA"
},
{
"countryCode": "AF",
"stateOrProvinceName": "Parwan",
"code": "PAR"
},
{
"countryCode": "AF",
"stateOrProvinceName": "Takhar",
"code": "TAK"
},
{
"countryCode": "AF",
"stateOrProvinceName": "Uruzgan",
"code": "URU"
}
]
},
"total": 18
}